Overview of changes in snapd-glib 1.58

   * Fix GIR annotations on snapd_client_get_snap_conf
   * Put more information into error messages for unknown errors

Overview of changes in snapd-glib 1.57

   * New API:
     - snapd_interface_make_label
   * Add snapd_interface_make_label
   * Add support for new snap types: "core", "base" and "snapd"
   * Change way GTK documentation is generated to avoid a Meson bug

Overview of changes in snapd-glib 1.56

   * Fix leak in markdown parser
   * Fix leak in logout code
   * Make build reproducible by fixing comment in generated file

Overview of changes in snapd-glib 1.55

   * New API:
     - snapd_client_download_sync
     - snapd_client_download_async
     - snapd_client_download_finish
     - snapd_client_logout_sync
     - snapd_client_logout_async
     - snapd_client_logout_finish
   * Add support for snap store logout
   * Fix QSnapdAuthData () constructor not copying discharge strings correctly
   * Remove obsolete screenshot parsing code
   * Make all snapd 404 errors return SNAPD_ERROR_NOT_FOUND

Overview of changes in snapd-glib 1.54

   * Fix snapd-glib pkg-config file not having correct include

Overview of changes in snapd-glib 1.53

   * Fix test failures on i386 due to floating point rounding.

Overview of changes in snapd-glib 1.52

   * Fix private symbols not being hidden

Overview of changes in snapd-glib 1.51

   * Add back installed test functionality that was lost in the Autotools to
     Meson migration

Overview of changes in snapd-glib 1.50

   * New API:
     - snapd_client_remove2_sync
     - snapd_client_remove2_async
     - snapd_client_remove2_finish
     - snapd_snap_get_website
   * Deprecated API:
     - snapd_client_remove_sync
     - snapd_client_remove_async
     - snapd_client_remove_finish
   * Add API to get snap website
   * Add purge option to remove
   * Switch build system to Meson
   * Fix Qt build with optimisation disabled
   * Fix tests breaking on json-glib < 1.2.4
   * Use C99 style variable definitions

Overview of changes in snapd-glib 1.49

    * New API:
      - snapd_client_get_connections2_async
      - snapd_client_get_connections2_finish
      - snapd_client_get_connections2_sync
      - SnapdGetConnectionsFlags
    * Deprecated API:
      - snapd_client_get_connections_async
      - snapd_client_get_connections_finish
      - snapd_client_get_connections_sync
    * Fix memory leaks
    * Add snapd_client_get_connections2 to add missing filter fields from
      snapd_client_get_connections
    * Use C99 variable style

Overview of changes in snapd-glib 1.48

    * New API:
      - snapd_client_get_connections_async
      - snapd_client_get_connections_finish
      - snapd_client_get_connections_sync
      - snapd_client_get_interfaces2_async
      - snapd_client_get_interfaces2_finish
      - snapd_client_get_interfaces2_sync
      - snapd_client_get_snap_conf_async
      - snapd_client_get_snap_conf_finish
      - snapd_client_get_snap_conf_sync
      - snapd_client_set_snap_conf_async
      - snapd_client_set_snap_conf_finish
      - snapd_client_set_snap_conf_sync
      - snapd_connection_get_gadget
      - snapd_connection_get_interface
      - snapd_connection_get_manual
      - snapd_connection_get_plug
      - snapd_connection_get_plug_attribute
      - snapd_connection_get_plug_attribute_names
      - snapd_connection_get_slot
      - snapd_connection_get_slot_attribute
      - snapd_connection_get_slot_attribute_names
      - snapd_connection_has_plug_attribute
      - snapd_connection_has_slot_attribute
      - snapd_interface_get_doc_url
      - snapd_interface_get_name
      - snapd_interface_get_plugs
      - snapd_interface_get_slots
      - snapd_interface_get_summary
      - snapd_markdown_node_get_children
      - snapd_markdown_node_get_node_type
      - snapd_markdown_node_get_text
      - snapd_markdown_parser_new
      - snapd_markdown_parser_get_combine_whitespace
      - snapd_markdown_parser_parse
      - snapd_markdown_parser_set_combine_whitespace
      - snapd_plug_get_connected_slots
      - snapd_plug_ref_get_plug
      - snapd_plug_ref_get_snap
      - snapd_slot_get_connected_plugs
      - snapd_slot_ref_get_slot
      - snapd_slot_ref_get_snap
      - SNAPD_ERROR_OPTION_NOT_FOUND
    * Deprecated API:
      - snapd_client_get_interfaces_async
      - snapd_client_get_interfaces_finish
      - snapd_client_get_interfaces_sync
      - snapd_connection_get_name
      - snapd_connection_get_snap
      - snapd_plug_get_connections
      - snapd_slot_get_connections
    * Allow searching via common-id
    * Add a description markdown parser
    * Replace SnapdConnection with SnapdPlugRef and SnapdSlotRef
    * Support updated connections API (/v2/connections)
    * Support updated /v2/interfaces&select= API
    * Support snap configuration API
    * Add Qt interface attribute API
    * Make snapd_client_set_socket_path revert to the default when NULL passed.
    * Fix C99 mode not being enabled on older versions of GCC

Overview of changes in snapd-glib 1.47

    * Remove generated MOC file from tarball

Overview of changes in snapd-glib 1.46

    * New API:
      - snapd_channel_get_released_at
      - SNAPD_ERROR_DNS_FAILURE
    * Fix tests breaking due to undefined order of results

Overview of changes in snapd-glib 1.45

    * New API:
      - snapd_client_get_apps2_sync
      - snapd_client_get_apps2_async
      - snapd_client_get_apps2_finish
      - snapd_client_get_maintenance
      - snapd_maintenance_get_kind
      - snapd_maintenance_get_message
      - snapd_media_get_media_type
      - snapd_media_get_url
      - snapd_media_get_width
      - snapd_media_get_height
      - snapd_snap_get_base
      - snapd_snap_get_media
      - snapd_snap_get_mounted_from
      - SNAPD_ERROR_NOT_CLASSIC
      - SNAPD_ERROR_REVISION_NOT_AVAILABLE
      - SNAPD_ERROR_CHANNEL_NOT_AVAILABLE
      - SNAPD_ERROR_NOT_A_SNAP
    * Deprecated API:
      - snapd_client_get_apps_sync
      - snapd_client_get_apps_async
      - snapd_client_get_apps_finish
      - snapd_snap_get_screenshots
    * Fix double-unref on cancelled requests
    * Support new snap media and mounted-from fields
    * Support filtering when querying apps
    * Support snapd maintenance information
    * Support new error codes
    * Add missing allow-none GIR annotations

Overview of changes in snapd-glib 1.44

    * Reconnect to snapd if disconnected while trying to send the request
    * Handle short writes to snapd

Overview of changes in snapd-glib 1.43

    * New API:
      - SNAPD_ERROR_AUTH_CANCELLED
    * Fix small memory leak
    * Fix compile warnings

Overview of changes in snapd-glib 1.42

    * New API:
      - snapd_client_get_snap_async
      - snapd_client_get_snap_finish
      - snapd_client_get_snap_sync
      - snapd_client_get_snaps_async
      - snapd_client_get_snaps_finish
      - snapd_client_get_snap_sync
      - snapd_snap_get_publisher_display_name
      - snapd_snap_get_publisher_id
      - snapd_snap_get_publisher_username
      - snapd_snap_get_publisher_validation
      - snapd_system_information_get_refresh_hold
      - snapd_system_information_get_refresh_last
      - snapd_system_information_get_refresh_next
      - snapd_system_information_get_refresh_schedule
      - snapd_system_information_get_refresh_timer
      - snapd_system_information_get_sandbox_features
      - SNAPD_FIND_FLAGS_SCOPE_WIDE
    * Deprecated API:
      - snapd_client_list_async
      - snapd_client_list_finish
      - snapd_client_list_sync

Overview of changes in snapd-glib 1.41

    * New API:
      - snapd_app_get_common_id
      - snapd_snap_get_common_ids

Overview of changes in snapd-glib 1.40

    * New API:
      - snapd_system_information_get_build_id
    * Fix buffer overflows reading HTTP chunked data

Overview of changes in snapd-glib 1.39

    * Fix memory leak in QSnapdAssertion
    * Remove cancelled requests from the request queue.
    * Fix SnapdClient reference leak in each request

Overview of changes in snapd-glib 1.38

    * Fix snapd_snap_match_channel not matching risks correctly
    * Fix return value of SnapdSnap::matchChannel when fails to match

Overview of changes in snapd-glib 1.37

    * Support new snapd errors SNAPD_ERROR_NOT_FOUND, SNAPD_ERROR_NOT_IN_STORE

Overview of changes in snapd-glib 1.36

    * Fix progress callback scope annotations
    * Fix reference leak

Overview of changes in snapd-glib 1.35

    * Fix missing out annotation in find/find_section

Overview of changes in snapd-glib 1.34

    * Remove deprecated snapd-login-service
    * Deprecated API:
      - snapd_login_async
      - snapd_login_finish
      - snapd_login_sync

Overview of changes in snapd-glib 1.33

    * Fix small memory leaks
    * Fix linking with --no-undefined
    * Compile snapd-qt with -fPIC to avoid compile failure on Fedora

Overview of changes in snapd-glib 1.32

    * Fix crash when calling snapd_login_async
    * Support new bad-query, network-timeout errors from snapd
    * Support QSnapdClient::find/Section method without flags set
    * Assert name parameter set in snapd_snap_match_channel

Overview of changes in snapd-glib 1.31

    * New API:
      - snapd_channel_get_branch
      - snapd_channel_get_risk
      - snapd_channel_get_track
    * Add methods to extrack track/risk/branch from channel names

Overview of changes in snapd-glib 1.30

    * New API:
      - snapd_client_abort_change_async
      - snapd_client_abort_change_finish
      - snapd_client_abort_change_sync
      - snapd_change_get_error
    * Implement snapd_client_abort_change
    * Handle incorrectly named tracks field

Overview of changes in snapd-glib 1.29

    * New API:
      - snapd_client_get_changes_async
      - snapd_client_get_changes_finish
      - snapd_client_get_changes_sync
      - snapd_client_get_change_async
      - snapd_client_get_change_finish
      - snapd_client_get_change_sync
    * Implement snapd_client_get_changes, snapd_client_get_change

Overview of changes in snapd-glib 1.28

    * Fix crash on 32 bit architectures

Overview of changes in snapd-glib 1.27

    * Fix crash accessing freed memory
    * Fix small memory leaks

Overview of changes in snapd-glib 1.26

    * New API:
      - snapd_client_login2_async
      - snapd_client_login2_finish
      - snapd_client_login2_sync
      - snapd_client_switch_async
      - snapd_client_switch_finish
      - snapd_client_switch_sync
      - snapd_client_get_users_async
      - snapd_client_get_users_finish
      - snapd_client_get_users_sync
    * Deprecated API:
      - snapd_client_login_async
      - snapd_client_login_finish
      - snapd_client_login_sync
    * Implement snapd_client_switch
    * Implement snapd_client_get_users
    * Implement new login API
    * Mark deprecated Qt API

Overview of changes in snapd-glib 1.25

    * New API:
      - snapd_client_alias_async
      - snapd_client_alias_finish
      - snapd_client_alias_sync
      - snapd_client_unalias_async
      - snapd_client_unalias_finish
      - snapd_client_unalias_sync
      - snapd_client_prefer_async
      - snapd_client_prefer_finish
      - snapd_client_prefer_sync
      - snapd_client_get_apps_sync
      - snapd_client_get_apps_finish
      - snapd_client_get_apps_async
      - snapd_alias_get_app_auto
      - snapd_alias_get_command
      - snapd_alias_get_app_manual
      - snapd_app_get_active
      - snapd_app_get_enabled
      - snapd_app_get_snap
      - snapd_snap_get_broken
    * Deprecated API:
      - snapd_client_enable_aliases_async
      - snapd_client_enable_aliases_finish
      - snapd_client_enable_aliases_sync
      - snapd_client_disable_aliases_async
      - snapd_client_disable_aliases_finish
      - snapd_client_disable_aliases_sync
      - snapd_client_reset_aliases_async
      - snapd_client_reset_aliases_finish
      - snapd_client_reset_aliases_sync
      - snapd_app_get_aliases
    * Implement v2 alias API
    * Implement snapd_client_get_apps
    * Fix memory handling in create user methods
    * Implement user creation in snapd-qt
    * Fix memory leaks due to missing destructor chain
    * Refactor internal message code

Overview of changes in snapd-glib 1.24

    * New API:
      - snapd_client_get_socket_path
      - snapd_client_set_socket_path
      - snapd_snap_get_channels
      - snapd_snap_get_tracks
      - snapd_snap_match_channel
      - snapd_channel_get_confinement
      - snapd_channel_get_epoch
      - snapd_channel_get_name
      - snapd_channel_get_revision
      - snapd_channel_get_size
      - snapd_channel_get_type
      - snapd_channel_get_version
    * Deprecated API:
      - snapd_client_connect_async
      - snapd_client_connect_finish
      - snapd_client_connect_sync
    * Fix QSnapd::install() not working async.
    * Move Qt enums to an enum class and rename to avoid collisions (API break).
    * Fix multiple async operations not working at the same time.
    * When async requests are cancelled abort change in snapd.
    * Connect to snapd on demand.
    * Add ability to set snapd socket to connect to.
    * Add support for channels.
    * Fix runtime assertion when snapd socket is NULL.
    * Fix sudoer flag not being correctly set for create-user.
    * Make clients using provided sockets non-blocking.
    * Don't install snapd-qt.pc if not compiling snapd-qt.

Overview of changes in snapd-glib 1.23

    * Fix snapd-login-service crash
    * Improve failure handling when snapd socket read/writes fail

Overview of changes in snapd-glib 1.22

    * Make QML module depend on snapd-qt being compiled first
    * Fix compile warning

Overview of changes in snapd-glib 1.21

    * Fix MOC detection in Fedora
    * Handle Qt configure failures

Overview of changes in snapd-glib 1.20

    * Stop distributing generated files

Overview of changes in snapd-glib 1.19

    * New API:
      - snapd_client_get_allow_interaction
      - snapd_client_set_allow_interaction
      - snapd_snap_get_license
    * Add mutex in request queue

Overview of changes in snapd-glib 1.18

    * Ensure socket reads never block

Overview of changes in snapd-glib 1.17

    * Fix issues when accessing snapd-glib from threads.
    * snapd-qt: Emit the complete signal when requests are cancelled.
    * Reduce json-glib dependency to 1.1.2.
    * Documentation updates.
    * Test improvements.

Overview of changes in snapd-glib 1.16

    * Bring introspection and vapigen m4 macros into the source so can build
      without them installed.
    * Fix snapd-qt build failure due to conflict of 'signals' variable with
      GDBus.
    * Set a user agent when sending requests to snapd-glib

Overview of changes in snapd-glib 1.15

    * Marked snapd_system_information_get_confinement as stable
    * Correctly stop requests if cancelled

Overview of changes in snapd-glib 1.14

    * New API:
      - snapd_app_get_desktop_file
      - snapd_snap_get_title
      - snapd_system_information_get_confinement (unstable)
    * Don't timeout waiting for snapd
    * Add version defines so can do conditional compilation on new features
    * Fix compilation with PolKit >= 0.114
    * Fix snapd-qt compilation in clang
    * Fix snapd-qt compilation on systems that use different versions of MOC
    * snapd-qt improvements to better match best practise
    * Include enum headers in snapd-glib.h
    * Fix compile warnings using clang
    * Documentation improvements

Overview of changes in snapd-glib 1.13

    * New API:
      - snapd_snap_get_contact
    * Check minimum versions of dependencies
    * Fix swapped variable names in snapd_client_find_section header proptotype.

Overview of changes in snapd-glib 1.12

    * New API:
      - snapd_client_install2_async
      - snapd_client_install2_finish
      - snapd_client_install2_sync
    * Deprecated API:
      - snapd_client_install_async
      - snapd_client_install_finish
      - snapd_client_install_sync

Overview of changes in snapd-glib 1.11

    * New API:
      - snapd_system_information_get_binaries_directory
      - snapd_system_information_get_kernel_version
      - snapd_system_information_get_mount_directory
    * Fix calls not working inside threads.
    * Fix reference counting error when calling snapd_client_get_interfaces and
      snapd_client_create_user.

Overview of changes in snapd-glib 1.10

    * Remove gettext-domain from Polkit files - this is an Ubuntu extension that
      doesn't work elsewhere.

Overview of changes in snapd-glib 1.9

    * New API:
      - snapd_app_get_daemon_type
      - snapd_client_install_stream_async
      - snapd_client_install_stream_finish
      - snapd_client_install_stream_sync
      - snapd_client_try_async
      - snapd_client_try_finish
      - snapd_client_try_sync
    * Fix iterator double use parsing of apps/aliases
    * Fix Qt tests not linking against local snapd-glib

Overview of changes in snapd-glib 1.8

    * New API:
      - snapd_client_get_assertions_async
      - snapd_client_get_assertions_finish
      - snapd_client_get_assertions_sync
      - snapd_client_add_assertions_async
      - snapd_client_add_assertions_finish
      - snapd_client_add_assertions_sync
      - snapd_client_get_aliases_async
      - snapd_client_get_aliases_finish
      - snapd_client_get_aliases_sync
      - snapd_client_enable_aliases_async
      - snapd_client_enable_aliases_finish
      - snapd_client_enable_aliases_sync
      - snapd_client_disable_aliases_async
      - snapd_client_disable_aliases_finish
      - snapd_client_disable_aliases_sync
      - snapd_client_reset_aliases_async
      - snapd_client_reset_aliases_finish
      - snapd_client_reset_aliases_sync
      - snapd_client_run_snapctl_async
      - snapd_client_run_snapctl_finish
      - snapd_client_run_snapctl_sync
      - snapd_snap_get_jailmode
    * Add snapd-qt regression tests.
    * Add missing snapd-qt API
    * Fix memory leaks in snapd-qt

Overview of changes in snapd-glib 1.7

    * New API:
      - snapd_app_get_aliases
      - snapd_client_get_sections_sync
      - snapd_client_get_sections_async
      - snapd_client_get_sections_finish
      - snapd_snap_get_tracking_channel
      - snapd_system_information_get_managed
      - snapd_system_information_get_store

Overview of changes in snapd-glib 1.6

    * Fix screenshots not working on 32 bit architectures

Overview of changes in snapd-glib 1.5

    * Add new API: snapd_client_refresh_all, snapd_client_find_refreshable.
    * Use new objects for progress callbacks - API break, ABI will continue to
      work.
    * Add Qt/QML bindings.
    * Add new errors reported by snapd.
    * Fix payment errors being detected.
    * Close socket on unref.
    * Fix small memory leaks.
    * Add regression tests.

Overview of changes in snapd-glib 1.4

    * Fix crash in snapd-login-service when snap stops

Overview of changes in snapd-glib 1.3

    * Use new payment API (now stable).
    * Add API to get plug/slot attributes.
    * Add API for create user API.
    * Add async version of snapd_client_connect_sync().
    * Fix crash when fail to connect to snapd.
    * Don't fail assertion if attempt to connect while already connected.
    * Fix transfer notation on GDateTime objects.
    * Fix build not regenerating .vapi.
    * Small documentation fixes.
    * Fix small memory leak.

Overview of changes in snapd-glib 1.2

    * Use so version 1 now this is stable (should have been done at 1.0 release)

Overview of changes in snapd-glib 1.1

    * Fix screenshot documentation not being used

Overview of changes in snapd-glib 1.0

    * Add support for screenshots
    * Throw exception if not connected instead of using assert
    * Be more paranoid about invalid SnapdAuthData
    * Add an autogen.sh
    * Tidy up configure summary

Overview of changes in snapd-glib 0.14

    * Fix header guards in snapd-login.h which stopped it being included

Overview of changes in snapd-glib 0.13

    * Make snapd_client_login() consistent with snapd_login() (API and ABI
      break)
    * Complete documentation on all functions / types (fixes make check)
    * Disable buy support for now - it is being redesigned in snapd.

Overview of changes in snapd-glib 0.12

    * Rename error codes for consistency (API and ABI break)
    * Generate documentation using GTK-Doc

Overview of changes in snapd-glib 0.11

    * Use doubles for price amounts (API and ABI break)
    * Make Polkit policy translatable
    * Fix errors not being correct on first use of snapd_login

Overview of changes in snapd-glib 0.10

    * Fix snapd-login-service D-Bus configuration
    * Improve documentation about root requirements for snapd_client_login
    * Distribute license files
    * Fix compiler warning

Overview of changes in snapd-glib 0.9

    * Rename SnapdClientError to SnapdError (API and ABI break)
    * Add a D-Bus service to allow login without root permissions
    * Add asserts to check we are connected before making requests

Overview of changes in snapd-glib 0.8

    * Store auth data inside SnapdClient (API and ABI break)
    * Return suggested currency in find request (API and ABI break)
    * Only call progress callback if something changes

Overview of changes in snapd-glib 0.7

    * Return error codes when icons fail to download
    * Fix sync methods not working inside async callbacks
    * Use GDateTime for date/time values returned by snapd

Overview of changes in snapd-glib 0.6

    * Fix memory ownership for returned results from list/find
    * Add missing docstrings
    * Fix small memory leaks

Overview of changes in snapd-glib 0.5

    * Add copyright headers
    * Mark authentication parameters optional

Overview of changes in snapd-glib 0.4

    * Limit poll rate to 100ms
    * Implement progress callbacks
    * Handle bad responses

Overview of changes in snapd-glib 0.3

    * Fix some memory management

Overview of changes in snapd-glib 0.2

    * Drop versioning from libraries

Overview of changes in snapd-glib 0.1

    * Initial release    
